package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 户主信息对象 szxc_hj_address
 *
 * @author hs
 * @date 2024-03-27
 */
public class SzxcHjAddress extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 居民id */
    @Excel(name = "居民id")
    private Long jmId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 户号 */
    @Excel(name = "户号")
    private Long acountNo;

    /** 户籍地址 */
    @Excel(name = "户籍地址")
    private String hjAddress;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setJmId(Long jmId)
    {
        this.jmId = jmId;
    }

    public Long getJmId()
    {
        return jmId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setIdCard(String idCard)
    {
        this.idCard = idCard;
    }

    public String getIdCard()
    {
        return idCard;
    }
    public void setAcountNo(Long acountNo)
    {
        this.acountNo = acountNo;
    }

    public Long getAcountNo()
    {
        return acountNo;
    }
    public void setHjAddress(String hjAddress)
    {
        this.hjAddress = hjAddress;
    }

    public String getHjAddress()
    {
        return hjAddress;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("jmId", getJmId())
                .append("name", getName())
                .append("idCard", getIdCard())
                .append("acountNo", getAcountNo())
                .append("hjAddress", getHjAddress())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .toString();
    }
}
